CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
TestPlugInInterface Class Reference

Abstract TestPlugIn for DLL. More...

`#include <TestPlugInInterface.h>`

List of all members.

## Public Member Functions
virtual | ~TestPlugInInterface ()
virtual CppUnit::Test * | makeTest ()=0

## Detailed Description

Abstract TestPlugIn for DLL.

Deprecated:
  Use CppUnitTestPlugIn instead.

A Test plug-in DLL must subclass this class and "publish" an instance using the following exported function:

     extern "C" {
       __declspec(dllimport) TestPlugInInterface *GetTestPlugInInterface();
     }

When loading the DLL, the TestPlugIn runner look-up this function and retreives the

See the TestPlugIn example for VC++ for details.

## Constructor & Destructor Documentation

virtual TestPlugInInterface::~TestPlugInInterface | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual CppUnit::Test* TestPlugInInterface::makeTest | ( |  | ) | `[pure virtual]`

Returns an instance of the "All Tests" suite.

Returns:
  Instance of the top-level suite that contains all test. Ownership is granted to the method caller.

The documentation for this class was generated from the following file:

- TestPlugInInterface.h

| hosts this site. |  | Send comments to: CppUnit Developers